| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::SocketAddressIPv4 Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- QString address
- ushort port

## Detailed Description

Structure type generated from the specification.

An IPv4 address and port.

## Member Data Documentation

QString Tp::SocketAddressIPv4::address

A dotted-quad IPv4 address literal: four ASCII decimal numbers, each between 0 and 255 inclusive, e.g. "192.168.0.1".

ushort Tp::SocketAddressIPv4::port

The TCP or UDP port number.